petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetSubpoint

Return the subpoint corresponding to a point in the original mesh. If the DM is not a submesh, just return the input point.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetSubpoint(DM dm, PetscInt p, PetscInt *subp)

Note collective

### Input Parameters

| dm | - The submesh DM
| p | - The point in the original, from which the submesh was created

### Output Parameter

subp -The point in the submesh

### See Also

DMPlexCreateSubmesh(), DMPlexGetSubpointMap(), DMPlexCreateSubpointIS()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages